<?php

# заголовок
define('TITLE', 'Игроки');

# определение данных
$params = PARAMS; // получение параметров
$refresh = $FUNC->random(8, true); // случайное число
$time = time() - 86400; $on = time() - 300; // время онлайна, сутки

# работа с данными, из базы данных
$dial = db_count($DB, 'users', 'id', array('nick;!=' => 'Гость')); $pages = ceil($dial / DATA['users']); // страницы
if ($pages > 5) $pages = 5; if (isset($params['page'])) { $page = $FUNC->filter($params['page'], 'int'); // проверка навигации
if ($page > $pages) $page = $pages; elseif ($page < 1) $page = 1; } else $page = 1; $offset = ($page * DATA['users']) - DATA['users']; // определение смещения
$query = db_output($DB, 'users', array('nick', 'sex', 'visit'), array('nick;!=' => 'Гость'), true, // вывод подарков из базы
'visit', DATA['users'], $offset, 'DESC'); $one = ($pages == 2) ? '<' : 1; $two = ($pages == 2) ? '>' : 2; // навигация, определение переходов

# разбор списка, переработка данных в массиве
$index = 0; while ($assoc = $query->fetch_assoc()) {
$list[$index] = $assoc; $index++; }

# обработка данных
foreach ($list as &$post) { $post['name'] = $post['nick']; $post['nick'] = $USER->nick($post['nick']); // имя
$post['icon'] = $USER->sex($post['sex']); $post['link'] = '/profile/'. $post['nick']; $post['visit'] = ($post['visit'] > $on) ? // иконка
'сейчас в игре' : (($post['visit'] > $time) ? $USER->when($post['visit'], true) .' назад' : $USER->when($post['visit'])); } // визит

?>